import createBaseTranslator, { getMessagesOrError } from 'use-intl/dist/src/core/createBaseTranslator';
import NextIntlRequestStorage from '../server/NextIntlRequestStorage';
export default function useTranslations(namespace) {
    const opts = NextIntlRequestStorage.getIntlOpts();
    const messagesOrError = getMessagesOrError({
        messages: opts.messages,
        namespace,
        onError: opts.onError
    });
    return createBaseTranslator({
        ...opts,
        namespace,
        messagesOrError
    });
}
//# sourceMappingURL=useTranslations.js.map